하모니카 묻고답하기

조회 수 1878 추천 수 0 댓글 7
?

단축키

Prev이전 문서

Next다음 문서

크게 작게 위로 아래로 댓글로 가기 인쇄
?

단축키

Prev이전 문서

Next다음 문서

크게 작게 위로 아래로 댓글로 가기 인쇄
저번에 도크를 이용한 특정버전에서 구동되는 프로그램을 민트 최신버전으로 사용할려고 했으나 리눅스라는 운영체제를 올해 처음들어본 저에게는 너무 어렵습니다.

관공서에서 근무하고 있고 새컴퓨터가 내려와서 기존의 리눅스민트 17.3을 설치를 하고 전영 프로그램을 설치하는데 모니터가 default라고 뜨면서 해상도가 저해상도로 고정이 되더라구요. 그래픽 카드는 1650super 입니다. 몇달동안의 뻘짓을 해도 결국안되어서 2005년에 나온 컴퓨터를 게속 쓰고있습니다.

이제 이 컴퓨커도 수명을 다하였는지 프로그램을 돌리는데 무리가 가더라구여 리눅스민트 17.3버전에서 1650super 그래픽을 정상적으로 인식시키는 방법이 있을까요..?

제발 도와주세여 ㅠ.ㅠ
  • profile
    Kevin 2021.06.15 18:39

    우선 터미널을 열고(Ctrl+ALT+T) 아래와 같이 한줄씩 실행해서 그래픽 드라이버 최신 버전을 설치해보세요.

     

    sudo apt-add-repository ppa:graphics-drivers/ppa

    apt update

    sudo apt install -y nvidia-driver-430

     

    설치가 끝나면 시스템을 재시작합니다.

     

    이 방법으로 해결이 안된다면 최신버전의 배포판을 설치하시거나 커널만 업그레이드 해서 사용하시는 방법이 좋을것 같습니다.

     

     

  • ?
    Moordev 2021.06.15 19:15
    리눅스민트 17.3은 2021년 4월부로 기술 및 업데이트 지원이 종료 되었습니다.(우분투 14.04기반으로 LTS지원기간인 5년이 지났기에 업데이트 서버가 닫겼습니다.)

    그래서 nvidia그래픽 드라이버를 설치하더라도 정상적으로 작동한다는 보장이 없습니다. 1650super라면 nvidia 420은 설치되어야 할것으로 보입니다만 17.3은 커널 버전이 너무 낮고 nvidia 420이 동작되기에 너무 버겁습니다.

    방법이 조금 복잡할것으로 예상됩니다만 17.3을 쓰시려면 old realse ubuntu 서버를 사용해서 저장소를 바꿔야하고 커널을 컴파일해서 버전업하는 과정이 필요할 듯 합니다.
  • ?
    Moordev 2021.06.15 19:44
    /etc/apt/sources.list.d/official-package-repositories.list

    이 파일을 관리자 권한으로 연 다음

    security.ubuntu.com
    archive.ubuntu.com

    이 주소를

    old-releases.ubuntu.com

    이걸로 고칩니다.
    그 다음
    sudo apt-get update

    그리고
    sudo apt-get install --install-recommends linux-generic-lts-xenial xserver-xorg-core-lts-xenial xserver-xorg-lts-xenial xserver-xorg-video-all-lts-xenial xserver-xorg-input-all-lts-xenial libwayland-egl1-mesa-lts-xenial libgl1-mesa-glx-lts-xenial libgl1-mesa-glx-lts-xenial:i386 libglapi-mesa-lts-xenial:i386 

    이걸로 커널 4.15로 업그레이드 합니다. 4.15는 데비안에서 아직 사용중이기에 nvidia드라이버 설치가 가능할것으로 생각됩니다.

    https://www.nvidia.co.kr/Download/driverResults.aspx/175951/kr
    그다음 이것을 수동설치해야하는데 이쪽은...조금 어렵습니다...

    일단 사용할 수는 있다... 정도로 아시면 될듯 합니다.
  • ?
    홍사장 2021.06.16 00:18
    일단 시도해보겠습니다!!
  • ?
    홍사장 2021.06.16 11:08
    하하..이게 또 64비트에서는 프로그램이 실행자체가 안되네요...32비트 환경에서만 구동이 되는데 17.3 64비트에서 구동할려니 너무 어렵네요..도커 사용법을 바도 이해를 못하겠구요..그리고 프로그램이 관리부서에 물어보니 유지 보수가 중지된 프로그램이라서 컴퓨터 새걸로 바꾸셔도 소용이 없다고 합니다.
  • ?
    Moordev 2021.06.16 12:58
    32비트에서만 동작하는 프로그램이었군요.
    그러면 고생할만 하네요.

    우분투14.04 32비트를 가상머신으로 굴리는것도 문제가 될까요?
    VirtualBox나 qemu같은것은 쓸 수 있을테니까요.

    도커는 32비트지원이 안 좋은것으로 유명하고(우분투 공식이미지는 32비트가 없습니다.) 복잡하니 도커는 깔끔하게 포기하는게 좋을것 같습니다. 아무래도 이쪽이 제일 쉽고 편할것 같습니다. 하드웨어직접접근이 문제된다면 USB에 한해서 USB passthrough로 VirtualBOX가 지원되니 참고 하세요.
  • ?
    홍사장 2021.06.16 00:18
    일단 오늘 출근해서 시도해본 다음 다시 댓글 달겠습니다. 정말 도와주셔서 감사합니다!!

List of Articles
번호 제목 추천 수 글쓴이 날짜 조회 수
공지 게시판에 질문하기 전 읽기 - 어떻게 질문을 하는 것이 좋을까? 1 0 Kevin 2019.11.18 11035
2064 리눅스를 쓰면 컴퓨터의 성능을 100% 활용하지 못한다는 이야기를 들어서요.. 5 0 라루미 2022.02.20 712
2063 설치 오류 문의드립니다 8 0 능훈 2022.02.20 516
2062 이스트시큐리티 알약 개방형 OS 2 0 세벌 2022.02.19 545
2061 다시 윈도우에서 리눅스로 돌아가보자 합니다. 4 0 라루미 2022.02.18 652
2060 동영상 강의 시청이 안되는 경우 해결법 문의 0 흑당밀크티 2022.02.08 657
2059 부팅usb 만든후 실행이 안되네요 2 file 0 qqq 2022.01.23 584
2058 시나몬 말고 다른 환경을 지원할 계획이 있으신가요? 5 0 가벼운게최고 2022.01.20 712
2057 하모니카 5.0은 어느 배포판을 기반으로 한 건가요? 1 0 KayKim 2022.01.16 833
2056 멀티부팅 설치시 분할한 메모리가 사용불가라고 뜨면 6 0 JE 2022.01.16 669
2055 설치 하는데 계속 오류가 뜨네요 5 file 0 JE 2022.01.14 655
2054 노트북 웹캠 인식 6 0 탁구공 2022.01.07 1036
2053 하모니카에서는 오라클 버전 몇까지가 설치가 되나요? 1 0 OS루키 2022.01.07 516
2052 노트북 터치패드 문제로 문의 드립니다. 1 file 0 박두범 2022.01.04 548
2051 하모니카 업테이트 어찌하나요. 2 0 뱃살왕자 2022.01.04 619
2050 리눅스 민트에서 내장 그래픽 사용하다가..ㅜㅜ 3 0 블랙커피 2022.01.03 703
2049 잘 받았습니다아! file 0 whale 2022.01.02 369
2048 [이벤트 선물] 하모니카 팀의 연말 선물 잘 받았습니다. 감사합니다. 1 file 0 칩헤드 2021.12.31 560
2047 하모니카 달력 문의드려봅니다. 3 file 0 게스트사용자 2021.12.31 564
2046 이제야 글을 올리네요 선물 감사합니다!! 2 file 0 야채죽 2021.12.30 436
2045 [이벤트선물] 하모니카팀에서 크리스마스 선물을 보내 주셨어요. 감사합니다. 4 file 0 친절한우주인 2021.12.27 564
Board Pagination Prev 1 ... 14 15 16 17 18 19 20 21 22 23 ... 122 Next
/ 122
CLOSE